package eu.mhsl.minenet.minigames.instance.game.stateless.types.towerdefense;

import eu.mhsl.minenet.minigames.instance.game.Game;
import eu.mhsl.minenet.minigames.instance.game.stateless.config.GameFactory;
import eu.mhsl.minenet.minigames.instance.game.stateless.config.Option;
import eu.mhsl.minenet.minigames.instance.room.Room;
import eu.mhsl.minenet.minigames.message.component.TranslatedComponent;
import net.minestom.server.item.Material;

import java.util.Map;

public class TowerdefenseFactory implements GameFactory {
    @Override
    public TranslatedComponent name() {
        return TranslatedComponent.byId("game_Towerdefense#name");
    }
    @Override
    public Material symbol() {
        return Material.ARMOR_STAND;
    }

    @Override
    public TranslatedComponent description() {
        return TranslatedComponent.byId("game_Towerdefense#description");
    }

    @Override
    public Game manufacture(Room parent, Map<String, Option<?>> configuration) {
        return new Towerdefense().setParent(parent);
    }
}
